# Interface methods for submodule: LabelImageGaussianInterpolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GaussianInterpolateImageFunctionProxy as _GaussianInterpolateImageFunctionProxy


# Interface methods for class: LabelImageGaussianInterpolateImageFunction
class LabelImageGaussianInterpolateImageFunctionProxy(_GaussianInterpolateImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def EvaluateAtContinuousIndex(self, cindex) -> float:
		""""""
		...

